4.17.09.01: Notas de la versión de Edge para la nube privada

Estás viendo la documentación de Apigee Edge.
Consulta la documentación de Apigee X.
Más información

El viernes 16 de marzo de 2018, lanzamos una nueva versión de Apigee Edge para nube privada.

Actualizar procedimiento

Para actualizar la instalación, realiza el siguiente procedimiento en los nodos perimetrales:

  1. En todos los nodos perimetrales, haz lo siguiente:

    1. Limpia los repositorios de Yum:
      > sudo yum clean all
    2. Actualiza el archivo bootstrap_4.17.09.sh de Edge 4.17.09 en /tmp/bootstrap_4.17.09.sh:
      > curl https://software.apigee.com/bootstrap_4.17.09.sh -o /tmp/bootstrap_4.17.09.sh
    3. Instala la utilidad y las dependencias apigee-service de Edge 4.17.09:
      > sudo bash /tmp/bootstrap_4.17.09.sh apigeeuser=uName apigeepassword=pWord
      en el que uName:pWord son el nombre de usuario y la contraseña que recibiste de Apigee. Si omites pWord, se te solicitará que lo ingreses.
    4. Actualiza la utilidad apigee-setup:
      > sudo /opt/apigee/apigee-service/bin/apigee-service apigee-setup update
    5. Busca el archivo apigee-service.sh:
      > source /etc/profile.d/apigee-service.sh
  2. Actualiza todos los nodos del servidor de administración perimetral:
    >/opt/apigee/apigee-setup/bin/update.sh -c edge -f configFile
    donde configFile especifica el archivo de configuración que usaste para instalar Edge.
  3. Actualiza todos los nodos de la IU de Edge:
    >/opt/apigee/apigee-setup/bin/update.sh -c ui -f configFile
  4. Actualiza todos los nodos del procesador de mensajes del router:
    >/opt/apigee/apigee-setup/bin/update.sh -c edge -f configFile

Fallas corregidas

En esta versión, se corrigieron los siguientes errores.

ID del problema Descripción Número de compilación
68329105

La acción de configuración del portal no puede crear un usuario cuando se conecta a apigee_sso, ya que apigee_sso usa un certificado autofirmado.

apigee-drupal-devportal-4.17.09-0.0.244.noarch.rpm
68858244

La IU perimetral con TLS terminada en un ELB construye una URL de redireccionamiento de cierre de sesión de OAuth con el protocolo HTTP en lugar de HTTPS.

edge-ui-4.17.09-0.0.20024.noarch.rpm
69001358

El SSO de Edge ahora puede conectarse al servidor de administración mediante HTTPS cuando este usa un certificado autofirmado.

apigee-sso-4.17.09-0.0.10088.noarch.rpm
69377379

El procesador de mensajes ahora cierra los sockets SSL correctamente

Message Processor ahora cierra los sockets SSL correctamente para reducir el número de conexiones CLOSE_WAIT.

edge-gateway-4.17.09-0.0.1524.noarch.rpm
69711616

Se actualizó Jackson Databind a la versión 2.7.9.1 en los archivos JAR de terceros.

edge-gateway-4.17.09-0.0.1524.noarch.rpm
70719754

Edge Router y Message Processor pueden descartar errores de memoria insuficiente después de actualizar a la versión 4.17.09

edge-gateway-4.17.09-0.0.1524.noarch.rpm